@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  @font-face {
    font-family: 'syne';
    font-weight: 400;
    src: url('../fonts/syne/Syne-Regular.woff');
  }

  @font-face {
    font-family: 'syne';
    font-weight: 700;
    src: url('../fonts/syne/Syne-Bold.woff');
  }

  @font-face {
    font-family: 'druk';
    font-weight: 400;
    src: url('../fonts/druk/DrukTextWide-Medium.ttf');
  }
  @font-face {
    font-family: 'druk';
    font-weight: 700;
    src: url('../fonts/druk/DrukTextWide-Bold.ttf');
  }
}

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

/** Title Animation */
.title-animation .char {
  display: inline-block;
  -webkit-animation-delay: calc(0.25s + var(--char-index) * 0.1s);
  animation-delay: calc(0.25s + var(--char-index) * 0.1s);
  transition: all 0.25s calc(0.25s + var(--char-index) * 0.1s);
}

.title-animation .folding {
  white-space: pre;
}

.title-animation .folding[data-scroll='out'] .char {
  -webkit-transform: rotateX(90deg);
  transform: rotateX(90deg);
  -webkit-transform-origin: bottom;
  transform-origin: bottom;
}

/** Description Animation */
.desc-animation .pre-word {
  display: inline-block;
  transform: translateY(0);
  transition: 1.25s;
}

.desc-animation .pre-word {
  white-space: pre;
}

.desc-animation .folding {
  display: inline-block;
  overflow: hidden;
}

.desc-animation .pre-word[data-scroll='out'] {
  transform: translateY(100%);
}

/** Slider */
.swiper .swiper-nav-wrapper {
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  width: auto;
  padding-top: 3em;
  position: relative;
}

.swiper .swiper-nav-wrapper .swiper-button-next,
.swiper .swiper-nav-wrapper .swiper-button-prev {
  top: 5px;
  left: auto;
  right: auto;
  padding-right: 35px;
  padding-left: 35px;
  position: relative !important;
  color: #ffd600;
}

.swiper .swiper-nav-wrapper .swiper-pagination {
  height: 100%;
  width: auto;
  position: relative !important;
}
.swiper .swiper-nav-wrapper .swiper-button-next.swiper-button-disabled,
.swiper .swiper-nav-wrapper .swiper-button-prev.swiper-button-disabled {
  opacity: 70%;
  color: #000000;
}

.swiper .swiper-nav-wrapper .swiper-button-next:after,
.swiper .swiper-nav-wrapper .swiper-button-prev:after {
  font-size: 20px;
  font-weight: 700;
}
